JH_INSTALLJAVADOC(1)

NAME
jh_installjavadoc - install javadoc into packages

SYNOPSIS
jh_installjavadoc [debhelper options]

jh_installjavadoc [debhelper options] [-ppackage] [base-directory-of-javadoc] [install-location]

DESCRIPTION
jh_installjavadoc is a javahelper program that can install generated javadoc for you.

If you have javadoc which has been built by your build system, then jh_installjavadoc will install it in the correct location and register it with doc-base for you. Either run jh_installjavadoc with the directory containing the javadoc as a parameter, or it will read debian/package.javadoc or debian/javadoc, which should contain a single path to the javadoc for that package.

If you have used jh_build(1) that will automatically have created javadoc. To install that put the string "internal" in the javadoc file and it will be installed.

The second parameter, or the second string on the line in the javadoc file, can be used to override the install location, for example, so that a -doc package can install to /usr/share/doc/library/api.

FILES

debian/package.javadoc, debian/javadoc
    Parsed to determine which javadoc directory should be processed for the given package. Note that unlike most other debhelper commands, jh_installjavadoc will use debian/javadoc as a fallback configuration file for all packages that it acts on. Other debhelper commands usually only apply this fallback to the "main package".

    The file consists a single line listing the javadoc directory (or the word "internal"). This is optionally followed path the path to the desired install location if the default location is incorrect.

    Examples:

         internal

         build/javadoc /usr/share/doc/somewhere/libapi

OPTIONS

-Aauthor, --author=author

Beyond the above, jh_installjavadoc also accepts the shared debhelper options documented in debhelper(7).

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>